diff -rN -u old-hscurses/HSCurses/Curses.hsc new-hscurses/HSCurses/Curses.hsc
--- old-hscurses/HSCurses/Curses.hsc	2007-07-31 15:00:23.000000000 -0000
+++ new-hscurses/HSCurses/Curses.hsc	2007-07-31 15:00:23.000000000 -0000
@@ -1348,119 +1348,8 @@
 recognize :: Char -> IO a -> ((#type chtype) -> IO a) -> IO a
 recognize _ch noConvert _convert = noConvert -- Handle the most common case first.
 
-{-
 
-recognize :: Char -> IO a -> ((#type chtype) -> IO a) -> IO a
-recognize ch noConvert convert
-    | ch <= '\x7F'   = noConvert -- Handle the most common case first.
-    | ch <= '\x7F'   = noConvert -- Handle the most common case first.
-    | ch == ulCorner = convert =<< hs_curses_acs_ulcorner
-    | ch == llCorner = convert =<< hs_curses_acs_llcorner
-    | ch == urCorner = convert =<< hs_curses_acs_urcorner
-    | ch == lrCorner = convert =<< hs_curses_acs_lrcorner
-    | ch == rTee     = convert =<< hs_curses_acs_rtee
-    | ch == lTee     = convert =<< hs_curses_acs_ltee
-    | ch == bTee     = convert =<< hs_curses_acs_btee
-    | ch == tTee     = convert =<< hs_curses_acs_ttee
-    | ch == hLine    = convert =<< hs_curses_acs_hline
-    | ch == vLine    = convert =<< hs_curses_acs_vline
-    | ch == plus     = convert =<< hs_curses_acs_plus
-    | ch == s1       = convert =<< hs_curses_acs_s1
-    | ch == s9       = convert =<< hs_curses_acs_s9
-    | ch == diamond  = convert =<< hs_curses_acs_diamond
-    | ch == ckBoard  = convert =<< hs_curses_acs_ckboard
-    | ch == degree   = convert =<< hs_curses_acs_degree
-    | ch == plMinus  = convert =<< hs_curses_acs_plminus
-    | ch == bullet   = convert =<< hs_curses_acs_bullet
-    | ch == lArrow   = convert =<< hs_curses_acs_larrow
-    | ch == rArrow   = convert =<< hs_curses_acs_rarrow
-    | ch == dArrow   = convert =<< hs_curses_acs_darrow
-    | ch == uArrow   = convert =<< hs_curses_acs_uarrow
-    | ch == board    = convert =<< hs_curses_acs_board
-    | ch == lantern  = convert =<< hs_curses_acs_lantern
-    | ch == block    = convert =<< hs_curses_acs_block
-#  ifdef ACS_S3
-    | ch == s3       = convert =<< hs_curses_acs_s3
-    | ch == s7       = convert =<< hs_curses_acs_s7
-    | ch == lEqual   = convert =<< hs_curses_acs_lequal
-    | ch == gEqual   = convert =<< hs_curses_acs_gequal
-    | ch == pi       = convert =<< hs_curses_acs_pi
-    | ch == nEqual   = convert =<< hs_curses_acs_nequal
-    | ch == sterling = convert =<< hs_curses_acs_sterling
-#  endif
-    | otherwise      = noConvert
-
-foreign import ccall unsafe hs_curses_acs_ulcorner :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_llcorner :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_urcorner :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_lrcorner :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_rtee     :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_ltee     :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_btee     :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_ttee     :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_hline    :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_vline    :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_plus     :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_s1       :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_s9       :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_diamond  :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_ckboard  :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_degree   :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_plminus  :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_bullet   :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_larrow   :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_rarrow   :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_darrow   :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_uarrow   :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_board    :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_lantern  :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_block    :: IO (#type chtype)
-#  ifdef ACS_S3
-foreign import ccall unsafe hs_curses_acs_s3       :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_s7       :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_lequal   :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_gequal   :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_pi       :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_nequal   :: IO (#type chtype)
-foreign import ccall unsafe hs_curses_acs_sterling :: IO (#type chtype)
-#  endif
-
-#def inline chtype hs_curses_acs_ulcorner (void) {return ACS_ULCORNER;}
-#def inline chtype hs_curses_acs_llcorner (void) {return ACS_LLCORNER;}
-#def inline chtype hs_curses_acs_urcorner (void) {return ACS_URCORNER;}
-#def inline chtype hs_curses_acs_lrcorner (void) {return ACS_LRCORNER;}
-#def inline chtype hs_curses_acs_rtee     (void) {return ACS_RTEE;}
-#def inline chtype hs_curses_acs_ltee     (void) {return ACS_LTEE;}
-#def inline chtype hs_curses_acs_btee     (void) {return ACS_BTEE;}
-#def inline chtype hs_curses_acs_ttee     (void) {return ACS_TTEE;}
-#def inline chtype hs_curses_acs_hline    (void) {return ACS_HLINE;}
-#def inline chtype hs_curses_acs_vline    (void) {return ACS_VLINE;}
-#def inline chtype hs_curses_acs_plus     (void) {return ACS_PLUS;}
-#def inline chtype hs_curses_acs_s1       (void) {return ACS_S1;}
-#def inline chtype hs_curses_acs_s9       (void) {return ACS_S9;}
-#def inline chtype hs_curses_acs_diamond  (void) {return ACS_DIAMOND;}
-#def inline chtype hs_curses_acs_ckboard  (void) {return ACS_CKBOARD;}
-#def inline chtype hs_curses_acs_degree   (void) {return ACS_DEGREE;}
-#def inline chtype hs_curses_acs_plminus  (void) {return ACS_PLMINUS;}
-#def inline chtype hs_curses_acs_bullet   (void) {return ACS_BULLET;}
-#def inline chtype hs_curses_acs_larrow   (void) {return ACS_LARROW;}
-#def inline chtype hs_curses_acs_rarrow   (void) {return ACS_RARROW;}
-#def inline chtype hs_curses_acs_darrow   (void) {return ACS_DARROW;}
-#def inline chtype hs_curses_acs_uarrow   (void) {return ACS_UARROW;}
-#def inline chtype hs_curses_acs_board    (void) {return ACS_BOARD;}
-#def inline chtype hs_curses_acs_lantern  (void) {return ACS_LANTERN;}
-#def inline chtype hs_curses_acs_block    (void) {return ACS_BLOCK;}
-#  ifdef ACS_S3
-#def inline chtype hs_curses_acs_s3       (void) {return ACS_S3;}
-#def inline chtype hs_curses_acs_s7       (void) {return ACS_S7;}
-#def inline chtype hs_curses_acs_lequal   (void) {return ACS_LEQUAL;}
-#def inline chtype hs_curses_acs_gequal   (void) {return ACS_GEQUAL;}
-#def inline chtype hs_curses_acs_pi       (void) {return ACS_PI;}
-#def inline chtype hs_curses_acs_nequal   (void) {return ACS_NEQUAL;}
-#def inline chtype hs_curses_acs_sterling (void) {return ACS_STERLING;}
-#  endif
 
--}
 
 -- ---------------------------------------------------------------------
 -- code graveyard
diff -rN -u old-hscurses/hscurses.cabal new-hscurses/hscurses.cabal
--- old-hscurses/hscurses.cabal	2007-07-31 15:00:23.000000000 -0000
+++ new-hscurses/hscurses.cabal	2007-07-31 15:00:23.000000000 -0000
@@ -11,9 +11,9 @@
                 Don Stewart 2004
                 Tuomo Valkonen 2004
                 John Meacham 2002-2004
-Homepage:       http://www.stefanwehr.de/haskell
+Homepage:       http://www.informatik.uni-freiburg.de/~wehr/haskell/
 Category:       User-interface
-Build-depends:  base >= 2.0, haskell98 >= 1.0, unix >= 1.0, mtl >= 1.0
+Build-depends:  base >= 1.0, haskell98 >= 1.0, unix >= 1.0, mtl >= 1.0
 Synopsis:       NCurses bindings for Haskell
 Description:   
   Binding to NCurses, a library of functions that manage an

